Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class TaggedCertificationRequest

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.TaggedCertificationRequest

All Implemented Interfaces:
  ASN1Value

public class TaggedCertificationRequest
extends java.lang.Object
implements ASN1Value

CMC TaggedCertificationRequest:

       TaggedCertificationRequest ::= SEQUENCE {
           bodyPartID            BodyPartID,
           certificationRequest  CertificationRequest
       }
       bodyIdMax INTEGER ::= 4294967295

       BodyPartID ::= INTEGER(0..bodyIdMax)

Nested Class Summary
`static class` | `TaggedCertificationRequest.Template` A template for decoding an TaggedCertificationRequest from its BER encoding.

Field Summary
`static INTEGER` | `BODYIDMAX`
`static Tag` | `TAG`

Constructor Summary
`TaggedCertificationRequest(INTEGER bodyPartID, CertificationRequest certificationRequest)` Constructs a TaggedCertificationRequest from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`INTEGER` | `getBodyPartID()`
`CertificationRequest` | `getCertificationRequest()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static TaggedCertificationRequest.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BODYIDMAX

    public static final INTEGER BODYIDMAX

### TAG

    public static final Tag TAG

Constructor Detail

### TaggedCertificationRequest

    public TaggedCertificationRequest(INTEGER bodyPartID,
                                      CertificationRequest certificationRequest)

  Constructs a TaggedCertificationRequest from its components.

Parameters:
  `bodyPartID` - the identifier.
  `certificationRequest` - the pkcs10 request.

Method Detail

### getCertificationRequest

    public CertificationRequest getCertificationRequest()

### getBodyPartID

    public INTEGER getBodyPartID()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static TaggedCertificationRequest.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD